package com.ruoyi.common.constant;

/**
 * 岗检小组状态
 */
public enum PostTeamEnum {
    //状态（1-启用；2-未启用）
    VALID("启用", 1),
    INVALID("未启用", 2),


    //    类型：0-岗检领导小组；1-联合办公室；2-岗检工作组；3-工作小组；
    TYPE_L("岗检领导小组", 0),//人员
    TYPE_B("联合办公室", 1),//部门 + 人员(2个)
    TYPE_G("岗检工作组", 2),//部门
    TYPE_X("工作小组", 3);//人员


    private String name;
    private Integer value;

    PostTeamEnum(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }
}
